import java.awt.Dimension;
import java.awt.Graphics;

class Vertex
{

    public Vertex(double d, double d1)
    {
        x = d;
        y = d1;
        label = new VertexLabel();
    }

    public VertexLabel getLabel()
    {
        return label.getRoot();
    }

    public void setLabel(VertexLabel vertexlabel)
    {
        label = vertexlabel;
    }

    public void draw(Graphics g, Dimension dimension)
    {
        g.setColor(getLabel().color);
        int i = (int)((double)dimension.width * x);
        int j = (int)((double)dimension.height * y);
        g.fillOval(i - VertRad, j - VertRad, 2 * VertRad, 2 * VertRad);
    }

    public void reset()
    {
        label.parent = null;
    }

    public double x;
    public double y;
    private VertexLabel label;
    private static int VertRad = 5;

}