import java.awt.Color;

class VertexLabel
{
    public int size;
    public Color color;
    public VertexLabel parent;

    public VertexLabel()
    {
        size = 1;
        //color = ColorPalette.newColor();
        color = Color.magenta;
        parent = null;
    }

    public VertexLabel getRoot()
    {
        if(parent == null)
        {
            return this;
        }
        else
        {
            MST.op_count++;
            VertexLabel vertexlabel = parent.getRoot();
            parent = vertexlabel;
            return vertexlabel;
        }
    }

    public void union(Vertex vertex)
    {
        VertexLabel vertexlabel = vertex.getLabel();
        size += vertexlabel.size;
        vertexlabel.parent = this;
    }

}